GRASS color tables cause QGIS to freeze
Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 12948

Description

Attempting to draw layers with color tables from GRASS leads to a total freeze of QGIS. This also occurs if the layers are exported as a

geotiff with color tables. The same effect occurs in Windows, although more layers do draw in Windows. Some will render in Windows,but

do not respect the color tables (drawn in monochrome).

An example color table that always causes a serious crash in Ubuntu (NDVI)

% -1 1

-1:5:24:82 -0.3:5:24:82

-0.3:5:24:82 -0.18:255

-0.18:255 0:255

0:255 0.025:206:197:180

0.025:206:197:180 0.075:191:163:124

0.075:191:163:124 0.125:179:174:96

0.125:179:174:96 0.15:163:181:80

0.15:163:181:80 0.175:144:170:60

0.175:144:170:60 0.233:166:195:29

0.233:166:195:29 0.266:135:183:3

0.266:135:183:3 0.333:121:175:1

0.333:121:175:1 0.366:101:163:0

0.366:101:163:0 0.433:78:151:0

0.433:78:151:0 0.466:43:132:4

0.466:43:132:4 0.55:0:114:0

0.55:0:114:0 0.65:0:90:1

0.65:0:90:1 0.75:0:73:0

0.75:0:73:0 0.85:0:56:0

0.85:0:56:0 0.95:0:31:0

0.95:0:31:0 1:0

History

#1 - 2010-07-15 08:24 AM - Giovanni Manghi

Does this happens also if you use trunk/1.5?

#2 - 2010-07-15 08:53 AM - JDG -

Sorry, I've not tried with the trunk version. I had dependency issues when

I last tried to install it from the  deb http://int.faunalia.it/~paolo/debian/ unstable/

repository on Ubuntu.
#3 - 2010-07-15 10:24 AM - Giovanni Manghi

The way as GRASS rasters has completely changed in trunk, so a test would be higly suggested. If the Paolo repository does not work you may want to

create the packages yourself, it is pretty easy

this is in Italian

http://flaviorigolon.wordpress.com/2009/06/12/qgis-compilazione/

but should be easy to follow the commands

#4 - 2010-07-15 10:24 AM - Giovanni Manghi

by the way, with the osgeo4w installer you can install the trunk version under Windows.

#5 - 2010-07-15 12:38 PM - JDG -

OK, I successfully built the trunk package (after learning some Italian). The GRASS layers now render, and in double quick time. I am left with a few issues

to deal with on my box with some of the python add ons after messing around, but it is clear that the major underlying bug has in fact been dealt with.

Thanks. I apologise again for not trying the latest build before reporting a "bug". Tethys should perhaps be released ASAP. The problem I had does impact

the usability of the current release.

#6 - 2010-07-15 01:19 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

Thanks. I apologise again for not trying the latest build before reporting a "bug". Tethys should perhaps be released ASAP. The problem I had does

impact the usability of the current release.

Hi, qgis 1.5 will be branched tomorrow.

#7 - 2010-07-15 11:38 PM - Jürgen Fischer

Replying to [comment:3 lutra]:

this is in Italian

http://flaviorigolon.wordpress.com/2009/06/12/qgis-compilazione/

but should be easy to follow the commands

Sorry, I don't speak Italian.  Does that guide say to create a build directory, configure cmake there and then to run dpkg-buildpackage?

Only the latter is necessary. The build directory will be created and configured automatically when dpkg-buildpackage runs.
